Gem::Specification.new do |s|
  PROJECT_GEM = 'experian-data-dictionary'
  PROJECT_GEM_VERSION = '1.4.5'

  s.name = PROJECT_GEM
  s.version = PROJECT_GEM_VERSION
  s.platform = Gem::Platform::RUBY
  s.licenses = ['MIT']
  s.homepage = 'https://github.com/blakecampbells/experian_data_dictionary'
  s.rubyforge_project = 'Project on www.github.com'
  s.authors = ['Blake Campbell']
  s.email = ['blake93campbell@gmail.com']

  s.summary = 'Ruby gem/plugin to interact with the Experian.com Data Dictionary'
  s.description = 'Ruby gem/plugin to interact with the Experian.com Data Dictionary. Checkout the project on github for more detail.'

  s.files         = `git ls-files`.split("\n").delete_if { |f| !(f =~ /^examples/).nil? }
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_paths = ['lib']
end
