require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0133' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0133', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('0133', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0133', '0')).to be_nil }
  end
end
