require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0156' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0156', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('0156', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0156', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0156', '9')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0156', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0156', 'R')).to be_nil }
  end
end
