require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0160a' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0160a', 'K01')).to eq('Professional/Technical - Known') }
    it { expect(Experian::DataDictionary.lookup('0160a', 'I06')).to eq('Retired - Inferred') }
    it { expect(Experian::DataDictionary.lookup('0160a', 'I04')).to eq('Blue Collar - Inferred') }
    it { expect(Experian::DataDictionary.lookup('0160a', 'I02')).to eq('Sales/Service - Inferred') }
    it { expect(Experian::DataDictionary.lookup('0160a', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0160a', '9')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0160a', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0160a', 'R')).to eq('Unknown') }
  end
end
