require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0164' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0164', '1')).to eq('Unconnected & Unregistered') }
    it { expect(Experian::DataDictionary.lookup('0164', '05')).to eq('Conservative Democrats') }
    it { expect(Experian::DataDictionary.lookup('0164', '10')).to eq('Ultra Conservatives') }
    it { expect(Experian::DataDictionary.lookup('0164', '06')).to eq('On-the-Fence Liberals') }
    it { expect(Experian::DataDictionary.lookup('0164', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0164', '20')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0164', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0164', 'R')).to eq('Unknown') }
  end
end
