require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0177' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0177', '1Y')).to eq('Confirmed Presence of Children') }
    it { expect(Experian::DataDictionary.lookup('0177', '5N')).to eq('Inferred No Children Present') }
    it { expect(Experian::DataDictionary.lookup('0177', '00')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0177', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0177', '20')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0177', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0177', 'R')).to be_nil }
  end
end
