require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8102' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8102', 'Y')).to eq('Household has indicated they contribute to charities') }
    it { expect(Experian::DataDictionary.lookup('8102', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8102', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8102', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8102', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8102', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8102', 'R')).to be_nil }
  end
end
