require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8109' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8109', 'Y')).to eq('Household has indicated an interest in investing') }
    it { expect(Experian::DataDictionary.lookup('8109', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8109', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8109', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8109', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8109', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8109', 'R')).to be_nil }
  end
end
