require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8136' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8136', 'Y')).to eq('Household has indicated being dog enthusiasts') }
    it { expect(Experian::DataDictionary.lookup('8136', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8136', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8136', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8136', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8136', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8136', 'R')).to be_nil }
  end
end
