require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8181' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8181', 'Y')).to eq('Household has self reported being inactive military') }
    it { expect(Experian::DataDictionary.lookup('8181', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8181', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8181', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8181', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8181', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8181', 'R')).to be_nil }
  end
end
