require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8509' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8509', 'Y1')).to eq('Living unit has a known investor - Extremely Likely investor') }
    it { expect(Experian::DataDictionary.lookup('8509', 'Y5')).to eq('Living unit has a known investor - Likely investor') }
    it { expect(Experian::DataDictionary.lookup('8509', 'Y3')).to eq('Living unit has a known investor - Very Likely investor') }
    it { expect(Experian::DataDictionary.lookup('8509', 'Y2')).to eq('Living unit has a known investor - Highly Likely investor') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8509', 'TAA1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8509', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8509', 'R')).to eq('Unknown') }
  end
end
