require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8519' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('8519','Y1') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('8519', 'Y7')).to eq('Living unit has a known interest in politics - Very Unlikely interest in politics') }
    it { expect(Experian::DataDictionary.lookup('8519', 'Y3')).to eq('Living unit has a known interest in politics - Very Likely interest in politics') }
    it { expect(Experian::DataDictionary.lookup('8519', 'Y9')).to eq('Living unit has a known interest in politics - Extremely Unlikely interest in politics') }
    it { expect(Experian::DataDictionary.lookup('8519', 'U9')).to eq('Unknown - Extremely Unlikely interest in politics') }
    it { expect(Experian::DataDictionary.lookup('8519', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8519', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8519', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8519', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8519', '0')).to eq('Unknown') }
  end
end
