require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8523' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8523', 'Y1')).to eq('Living unit has a known do-it-yourselfer - Extremely Likely do-it-yourselfer') }
    it { expect(Experian::DataDictionary.lookup('8523', 'Y5')).to eq('Living unit has a known do-it-yourselfer - Likely do-it-yourselfer') }
    it { expect(Experian::DataDictionary.lookup('8523', 'Y3')).to eq('Living unit has a known do-it-yourselfer - Very Likely do-it-yourselfer') }
    it { expect(Experian::DataDictionary.lookup('8523', 'Y2')).to eq('Living unit has a known do-it-yourselfer - Highly Likely do-it-yourselfer') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8523', 'TAA1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8523', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8523', 'R')).to eq('Unknown') }
  end
end
