require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8536' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8536', 'Y1')).to eq('Living unit has a known dog enthusiast - Extremely Likely dog enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8536', 'Y5')).to eq('Living unit has a known dog enthusiast - Likely dog enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8536', 'Y3')).to eq('Living unit has a known dog enthusiast - Very Likely dog enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8536', 'Y2')).to eq('Living unit has a known dog enthusiast - Highly Likely dog enthusiast') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8536', 'TAA1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8536', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8536', 'R')).to eq('Unknown') }
  end
end
