require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8580' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8580', 'Y1')).to eq('Living unit has self-reported being Active Military - Extremely Likely Active Military') }
    it { expect(Experian::DataDictionary.lookup('8580', 'Y5')).to eq('Living unit has self-reported being Active Military - Likely Active Military') }
    it { expect(Experian::DataDictionary.lookup('8580', 'Y3')).to eq('Living unit has self-reported being Active Military - Very Likely Active Military') }
    it { expect(Experian::DataDictionary.lookup('8580', 'Y2')).to eq('Living unit has self-reported being Active Military - Highly Likely Active Military') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8580', 'TAA1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8580', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8580', 'R')).to eq('Unknown') }
  end
end
