require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary b2185' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('b2185','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('b2185', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('b2185', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('b2185', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('b2185', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('b2185', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('b2185', '0')).to be_nil }
  end
end
