require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary b3010' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('b3010','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('b3010', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('b3010', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('b3010', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('b3010', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('b3010', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('b3010', '0')).to be_nil }
  end
end
