require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary B3225' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('B3225', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('B3225', '5')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('B3225', ' ')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('B3225', '')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('B3225', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('B3225', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('B3225', 'R')).to be_nil }
  end
end
