require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary B3226' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('B3226', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('B3226', '5')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('B3226', ' ')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('B3226', '')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('B3226', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('B3226', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('B3226', 'R')).to be_nil }
  end
end
