require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary f031' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('f031','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('f031', '01')).to eq('High profitability, high likelihood to perform') }
    it { expect(Experian::DataDictionary.lookup('f031', '02')).to eq('High profitability, high likelihood to perform') }
    it { expect(Experian::DataDictionary.lookup('f031', '03')).to eq('High profitability, high likelihood to perform') }
    it { expect(Experian::DataDictionary.lookup('f031', '08')).to eq('Poor Profitability, unlikely to perform') }
    it { expect(Experian::DataDictionary.lookup('f031', '13')).to eq('Low Profitability, unlikely to perform') }
    it { expect(Experian::DataDictionary.lookup('f031', '11')).to eq('Low Profitability, unlikely to perform') }

    it { expect(Experian::DataDictionary.lookup('f031', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('f031', 'P')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('f031', '0')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('f031', '14')).to be_nil }
  end
end
