require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary g2516' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('g2516','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('g2516', '0')).to eq('Decile 1') }
    it { expect(Experian::DataDictionary.lookup('g2516', '4')).to eq('Decile 5') }
    it { expect(Experian::DataDictionary.lookup('g2516', '6')).to eq('Decile 7') }
    it { expect(Experian::DataDictionary.lookup('g2516', '8')).to eq('Decile 9') }
    it { expect(Experian::DataDictionary.lookup('g2516', '9')).to eq('Decile 10') }
    it { expect(Experian::DataDictionary.lookup('g2516', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('g2516', 'P')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('g2516', '10')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('g2516', '14')).to be_nil }
  end
end
