require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary p400' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('p400', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('p400', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('p400', 'PE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('p400', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('p400', 'DOG')).to be_nil }
  end
end
