require 'rubygems'
require 'rspec'
require 'date'
require 'pry'
require 'simplecov'
require 'coveralls'

require File.expand_path(File.dirname(__FILE__) + '/../lib/experian.rb')

# Coveralls.wear!

SimpleCov.formatter = SimpleCov::Formatter::MultiFormatter[
    SimpleCov::Formatter::HTMLFormatter,
    Coveralls::SimpleCov::Formatter
]
SimpleCov.start

Dir[File.expand_path(File.dirname(__FILE__) + './functional/**/*.rb')].each { |f| require(f) }

RSpec.configure do |config|
  config.tty = true
  config.mock_with :rspec
end
