require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0103' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.column_name('0103')).to eq('Gender Code') }
    it { expect(Experian::DataDictionary.lookup('0103', 'M')).to eq('Male') }
    it { expect(Experian::DataDictionary.lookup('0103', 'F')).to eq('Female') }
    it { expect(Experian::DataDictionary.lookup('0103', 'B')).to eq('Both') }
    it { expect(Experian::DataDictionary.lookup('0103', 'U')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0103', 'FF')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0103', '0')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0103', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0103', 'R')).to be_nil }
  end
end
