require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0107A' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0107A', '1M')).to eq('Married - Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('0107A', '1S')).to eq('Single - Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('0107A', '5S')).to eq('Single - Likely') }
    it { expect(Experian::DataDictionary.lookup('0107A', '5M')).to eq('Married - Likely') }
    it { expect(Experian::DataDictionary.lookup('0107A', '0U')).to eq('Unknown Status - Unknown') }
    it { expect(Experian::DataDictionary.lookup('0107A', '0')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0107A', 'D')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0107A', 'GG')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0107A', 'DOG')).to eq('Unknown') }
  end
end
