require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0112' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0112', 'D')).to eq('Deceased Indicator') }
    it { expect(Experian::DataDictionary.lookup('0112', ' ')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0112', 'blank')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0112', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0112', 'PE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0112', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0112', 'DOG')).to be_nil }
  end
end
