require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0119' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0119', '0')).to eq('Less than a year') }
    it { expect(Experian::DataDictionary.lookup('0119', '00')).to eq('Less than a year') }
    it { expect(Experian::DataDictionary.lookup('0119', '9')).to eq('9 years') }
    it { expect(Experian::DataDictionary.lookup('0119', '99')).to eq('99 years') }
    it { expect(Experian::DataDictionary.lookup('0119', 22)).to eq('22 years') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0119', '')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0119', 'D')).to be_nil }
  end
end
