require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0130' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0130', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('0130', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0130', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0130', '0')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0130', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0130', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0130', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0130', 'DOG')).to be_nil }
  end
end
