require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0131' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0131', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('0131', 'M')).to eq('Multi-Buyer (purchased from multiple mail order companies)') }
    it { expect(Experian::DataDictionary.lookup('0131', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0131', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0131', '0')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0131', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0131', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0131', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0131', 'DOG')).to be_nil }
  end
end
