require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0140' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0140', '1')).to eq('1 Response') }
    it { expect(Experian::DataDictionary.lookup('0140', '2')).to eq('2 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', '3')).to eq('3 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', '4')).to eq('4 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', '5')).to eq('5 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', '6')).to eq('6 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', '7')).to eq('7 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', '8')).to eq('8 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', '9')).to eq('9 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', '0')).to eq('0 Responses') }
    it { expect(Experian::DataDictionary.lookup('0140', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0140', '10')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0140', '21')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0140', '423')).to eq('Unknown') }
  end
end
