require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0141' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0141', '1')).to eq('1 Response') }
    it { expect(Experian::DataDictionary.lookup('0141', '2')).to eq('2 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', '3')).to eq('3 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', '4')).to eq('4 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', '5')).to eq('5 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', '6')).to eq('6 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', '7')).to eq('7 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', '8')).to eq('8 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', '9')).to eq('9 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', '0')).to eq('0 Responses') }
    it { expect(Experian::DataDictionary.lookup('0141', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0141', '10')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0141', '21')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0141', '423')).to eq('Unknown') }
  end
end
