require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0155' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0155', 'Y')).to eq('Yes') }
    it { expect(Experian::DataDictionary.lookup('0155', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0155', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0155', '9')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0155', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0155', 'R')).to be_nil }
  end
end
