require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0601' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0601', '1')).to eq(1) }
    it { expect(Experian::DataDictionary.lookup('0601', '5558768')).to eq(5_558_768) }
    it { expect(Experian::DataDictionary.lookup('0601', '10000')).to eq(10_000) }
    it { expect(Experian::DataDictionary.lookup('0601', ' ')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0601', 'TAA1')).to eq(1) }
    it { expect(Experian::DataDictionary.lookup('0601', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0601', 'R')).to be_nil }
  end
end
