require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 310m' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('310m', 'A01')).to eq('Americas Wealthiest') }
    it { expect(Experian::DataDictionary.lookup('310m', 'A02')).to eq('Dream Weavers') }
    it { expect(Experian::DataDictionary.lookup('310m', 'A03')).to eq('White-collar Suburbia') }
    it { expect(Experian::DataDictionary.lookup('310m', 'A04')).to eq('Upscale Suburbanites') }
    it { expect(Experian::DataDictionary.lookup('310m', 'A05')).to eq('Enterprising Couples') }
    it { expect(Experian::DataDictionary.lookup('310m', 'A06')).to eq('Small-town Success') }
    it { expect(Experian::DataDictionary.lookup('310m', 'A07')).to eq('New Suburbia Families') }
    it { expect(Experian::DataDictionary.lookup('310m', 'B01')).to eq('Status-conscious Consumers') }
    it { expect(Experian::DataDictionary.lookup('310m', 'B02')).to eq('Affluent Urban Professionals') }
    it { expect(Experian::DataDictionary.lookup('310m', 'B03')).to eq('Urban Commuter Families') }
    it { expect(Experian::DataDictionary.lookup('310m', 'B04')).to eq('Solid Suburban Life') }
    it { expect(Experian::DataDictionary.lookup('310m', 'B05')).to eq('Second-generation Success') }
    it { expect(Experian::DataDictionary.lookup('310m', 'B06')).to eq('Successful Suburbia') }
    it { expect(Experian::DataDictionary.lookup('310m', 'C01')).to eq('Second City Homebodies') }
    it { expect(Experian::DataDictionary.lookup('310m', 'C02')).to eq('Prime Middle America') }
    it { expect(Experian::DataDictionary.lookup('310m', 'C03')).to eq('Suburban Optimists') }
    it { expect(Experian::DataDictionary.lookup('310m', 'C04')).to eq('Family Convenience') }
    it { expect(Experian::DataDictionary.lookup('310m', 'C05')).to eq('Mid-market Enterprise') }
    it { expect(Experian::DataDictionary.lookup('310m', 'D01')).to eq('Nuevo Hispanic Families') }
    it { expect(Experian::DataDictionary.lookup('310m', 'D02')).to eq('Working Rural Communities') }
    it { expect(Experian::DataDictionary.lookup('310m', 'D03')).to eq('Lower-income Essentials') }
    it { expect(Experian::DataDictionary.lookup('310m', 'D04')).to eq('Small-city Endeavors') }
    it { expect(Experian::DataDictionary.lookup('310m', 'E01')).to eq('Ethnic Urban Mix') }
    it { expect(Experian::DataDictionary.lookup('310m', 'E02')).to eq('Urban Blues') }
    it { expect(Experian::DataDictionary.lookup('310m', 'E03')).to eq('Professional Urbanites') }
    it { expect(Experian::DataDictionary.lookup('310m', 'E04')).to eq('Suburban Advantage') }
    it { expect(Experian::DataDictionary.lookup('310m', 'E05')).to eq('American Great Outdoors') }
    it { expect(Experian::DataDictionary.lookup('310m', 'E06')).to eq('Mature America') }
    it { expect(Experian::DataDictionary.lookup('310m', 'F01')).to eq('Steadfast Conservative') }
    it { expect(Experian::DataDictionary.lookup('310m', 'F02')).to eq('Moderate Conventionalists') }
    it { expect(Experian::DataDictionary.lookup('310m', 'F03')).to eq('Southern Blues') }
    it { expect(Experian::DataDictionary.lookup('310m', 'F04')).to eq('Urban Grit') }
    it { expect(Experian::DataDictionary.lookup('310m', 'F05')).to eq('Grass-roots Living') }
    it { expect(Experian::DataDictionary.lookup('310m', 'G01')).to eq('Hardy Rural Families') }
    it { expect(Experian::DataDictionary.lookup('310m', 'G02')).to eq('Rural Southern Living') }
    it { expect(Experian::DataDictionary.lookup('310m', 'G03')).to eq('Coal and Crops') }
    it { expect(Experian::DataDictionary.lookup('310m', 'G04')).to eq('Native Americana') }
    it { expect(Experian::DataDictionary.lookup('310m', 'H01')).to eq('Young Cosmopolitans') }
    it { expect(Experian::DataDictionary.lookup('310m', 'H02')).to eq('Minority Metro Communities') }
    it { expect(Experian::DataDictionary.lookup('310m', 'H03')).to eq('Stable Careers') }
    it { expect(Experian::DataDictionary.lookup('310m', 'H04')).to eq('Aspiring Hispania') }
    it { expect(Experian::DataDictionary.lookup('310m', 'I01')).to eq('Industrious Country Living') }
    it { expect(Experian::DataDictionary.lookup('310m', 'I02')).to eq('Americas Farmlands') }
    it { expect(Experian::DataDictionary.lookup('310m', 'I03')).to eq('Comfy Country Living') }
    it { expect(Experian::DataDictionary.lookup('310m', 'I04')).to eq('Small-town Connections') }
    it { expect(Experian::DataDictionary.lookup('310m', 'I05')).to eq('Hinterland Families') }
    it { expect(Experian::DataDictionary.lookup('310m', 'J01')).to eq('Rugged Rural Style') }
    it { expect(Experian::DataDictionary.lookup('310m', 'J02')).to eq('Latino Nuevo') }
    it { expect(Experian::DataDictionary.lookup('310m', 'J03')).to eq('Struggling City Centers') }
    it { expect(Experian::DataDictionary.lookup('310m', 'J04')).to eq('College Town Communities') }
    it { expect(Experian::DataDictionary.lookup('310m', 'J05')).to eq('Metro Beginnings') }
    it { expect(Experian::DataDictionary.lookup('310m', 'K01')).to eq('Unattached Multi-cultures') }
    it { expect(Experian::DataDictionary.lookup('310m', 'K02')).to eq('Academic Influences') }
    it { expect(Experian::DataDictionary.lookup('310m', 'K03')).to eq('African-American Neighborhoods') }
    it { expect(Experian::DataDictionary.lookup('310m', 'K04')).to eq('Urban Diversity') }
    it { expect(Experian::DataDictionary.lookup('310m', 'K05')).to eq('New Generation Activists') }
    it { expect(Experian::DataDictionary.lookup('310m', 'K06')).to eq('Getting By') }
    it { expect(Experian::DataDictionary.lookup('310m', 'L01')).to eq('Military Family Life') }
    it { expect(Experian::DataDictionary.lookup('310m', 'L02')).to eq('Major University Towns') }
    it { expect(Experian::DataDictionary.lookup('310m', 'L03')).to eq('Gray Perspectives') }
    it { expect(Experian::DataDictionary.lookup('310m', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('310m', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('310m', '1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('310m', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('310m', '0')).to be_nil }
  end
end
