require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 313HH' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('313HH', 'A01')).to eq('American Royalty') }
    it { expect(Experian::DataDictionary.lookup('313HH', 'B07')).to eq('Generational Soup') }
    it { expect(Experian::DataDictionary.lookup('313HH', 'D15')).to eq('Sports Utility Families') }
    it { expect(Experian::DataDictionary.lookup('313HH', 'J34')).to eq('Aging in Place') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('313HH', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('313HH', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('313HH', 'R')).to be_nil }
  end
end
