require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8103' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8103', 'Y')).to eq('Household has indicated being a pet enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8103', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8103', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8103', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8103', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8103', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8103', 'R')).to be_nil }
  end
end
