require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8123' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8123', 'Y')).to eq('Household has indicated a do-it-yourselfer') }
    it { expect(Experian::DataDictionary.lookup('8123', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8123', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8123', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8123', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8123', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8123', 'R')).to be_nil }
  end
end
