require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8128' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8128', 'Y')).to eq('Household has indicated donating to environmental causes') }
    it { expect(Experian::DataDictionary.lookup('8128', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8128', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8128', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8128', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8128', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8128', 'R')).to be_nil }
  end
end
