require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8133' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8133', 'Y')).to eq('Household has indicated being a mail order multibuyer') }
    it { expect(Experian::DataDictionary.lookup('8133', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8133', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8133', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8133', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8133', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8133', 'R')).to be_nil }
  end
end
