require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8137' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8137', 'Y')).to eq('Household has indicated being cat enthusiasts') }
    it { expect(Experian::DataDictionary.lookup('8137', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8137', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8137', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8137', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8137', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8137', 'R')).to be_nil }
  end
end
