require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8180' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8180', 'Y')).to eq('Household has self reported being active military') }
    it { expect(Experian::DataDictionary.lookup('8180', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8180', '')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8180', '1')).to be_nil }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8180', 'TAA1')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8180', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('8180', 'R')).to be_nil }
  end
end
