require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8505' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('8505','Y1') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('8505', 'Y7')).to eq('Living unit has purchased through the mail - Very Unlikely purchased through the mail') }
    it { expect(Experian::DataDictionary.lookup('8505', 'Y3')).to eq('Living unit has purchased through the mail - Very Likely purchased through the mail') }
    it { expect(Experian::DataDictionary.lookup('8505', 'Y9')).to eq('Living unit has purchased through the mail - Extremely Unlikely purchased through the mail') }
    it { expect(Experian::DataDictionary.lookup('8505', 'U9')).to eq('Unknown - Extremely Unlikely purchased through the mail') }
    it { expect(Experian::DataDictionary.lookup('8505', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8505', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8505', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8505', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8505', '0')).to eq('Unknown') }
  end
end
