require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8525' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('8525','Y1') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('8525', 'Y7')).to eq('Living unit has a known interest in religion - Very Unlikely interest in religion') }
    it { expect(Experian::DataDictionary.lookup('8525', 'Y3')).to eq('Living unit has a known interest in religion - Very Likely interest in religion') }
    it { expect(Experian::DataDictionary.lookup('8525', 'Y9')).to eq('Living unit has a known interest in religion - Extremely Unlikely interest in religion') }
    it { expect(Experian::DataDictionary.lookup('8525', 'U9')).to eq('Unknown - Extremely Unlikely interest in religion') }
    it { expect(Experian::DataDictionary.lookup('8525', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8525', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8525', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8525', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8525', '0')).to eq('Unknown') }
  end
end
