require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8526' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('8526','Y1') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('8526', 'Y7')).to eq('Living unit has a known grandparent - Very Unlikely grandparent') }
    it { expect(Experian::DataDictionary.lookup('8526', 'Y3')).to eq('Living unit has a known grandparent - Very Likely grandparent') }
    it { expect(Experian::DataDictionary.lookup('8526', 'Y9')).to eq('Living unit has a known grandparent - Extremely Unlikely grandparent') }
    it { expect(Experian::DataDictionary.lookup('8526', 'U9')).to eq('Unknown - Extremely Unlikely grandparent') }
    it { expect(Experian::DataDictionary.lookup('8526', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8526', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8526', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8526', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8526', '0')).to eq('Unknown') }
  end
end
