require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8537' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8537', 'Y1')).to eq('Living unit has a known cat enthusiast - Extremely Likely cat enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8537', 'Y5')).to eq('Living unit has a known cat enthusiast - Likely cat enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8537', 'Y3')).to eq('Living unit has a known cat enthusiast - Very Likely cat enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8537', 'Y2')).to eq('Living unit has a known cat enthusiast - Highly Likely cat enthusiast') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8537', 'TAA1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8537', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8537', 'R')).to eq('Unknown') }
  end
end
