require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8581' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8581', 'Y1')).to eq('Living unit has self-reported being Inactive Military - Extremely Likely Inactive Military') }
    it { expect(Experian::DataDictionary.lookup('8581', 'Y5')).to eq('Living unit has self-reported being Inactive Military - Likely Inactive Military') }
    it { expect(Experian::DataDictionary.lookup('8581', 'Y3')).to eq('Living unit has self-reported being Inactive Military - Very Likely Inactive Military') }
    it { expect(Experian::DataDictionary.lookup('8581', 'Y2')).to eq('Living unit has self-reported being Inactive Military - Highly Likely Inactive Military') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8581', 'TAA1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8581', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8581', 'R')).to eq('Unknown') }
  end
end
