require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary a107' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('a107','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('a107', '1')).to eq('Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('a107', '3')).to eq('Very Likely') }
    it { expect(Experian::DataDictionary.lookup('a107', '8')).to eq('Highly Unlikely') }
    it { expect(Experian::DataDictionary.lookup('a107', '9')).to eq('Extremely Unlikely') }
    it { expect(Experian::DataDictionary.lookup('a107', '5')).to eq('Likely') }
    it { expect(Experian::DataDictionary.lookup('a107', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('a107', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('a107', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('a107', '0')).to be_nil }
  end
end
