require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary d105n' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('d105n','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'A')).to eq('$1,000 - $14,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'B')).to eq('$15,000 - $24,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'C')).to eq('$25,000 - $34,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'D')).to eq('$35,000 - $49,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'E')).to eq('$50,000 - $74,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'F')).to eq('$75,000 - $99,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'G')).to eq('$100,000 - $124,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'H')).to eq('$125,000 - $149,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'I')).to eq('$150,000 - $174,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'J')).to eq('$175,000 - $199,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'K')).to eq('$200,000 - $249,999') }
    it { expect(Experian::DataDictionary.lookup('d105n', 'L')).to eq('$250,000+') }

    it { expect(Experian::DataDictionary.lookup('d105n', 'U')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('d105n', 'N')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('d105n', '4')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('d105n', '0')).to be_nil }
  end
end
