require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary d200' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('d200','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('d200', '0')).to eq('Not eligible') }
    it { expect(Experian::DataDictionary.lookup('d200', '1')).to eq('Married with likely 1 income or not married') }
    it { expect(Experian::DataDictionary.lookup('d200', '2')).to eq('Married with likely dual incomes in living unit') }

    it { expect(Experian::DataDictionary.lookup('d200', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('d200', 'N')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('d200', '4')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('d200', '3')).to be_nil }
  end
end
