require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary g2602' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('g2602','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('g2602', 'A')).to eq('Metropolitan') }
    it { expect(Experian::DataDictionary.lookup('g2602', 'B')).to eq('Micropolitan') }
    it { expect(Experian::DataDictionary.lookup('g2602', 'C')).to eq('Rural') }
    it { expect(Experian::DataDictionary.lookup('g2602', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('g2602', 'P')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('g2602', '10')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('g2602', '14')).to be_nil }
  end
end
