require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary v000' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('v000', ' ')).to eq('Non-match') }
    it { expect(Experian::DataDictionary.lookup('v000', 'Z')).to eq('Zip Level Match') }
    it { expect(Experian::DataDictionary.lookup('v000', '4')).to eq('Zip +4 Level Match') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('v000', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('v000', 'PE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('v000', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('v000', 'DOG')).to be_nil }
  end
end
